curl --request POST \
--url https://api.symmetry.com/spf/guided-flows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"homeAddress": {
"streetAddress1": "11 S Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
},
"workAddresses": [
{
"streetAddress1": "64 N Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
}
],
"includePreviewForms": false
}
'{
"flows": [
{
"id": "FEDERAL",
"locality": "FEDERAL",
"hasFlowQuestions": true,
"initialQuestionSetId": "QS1",
"localityFullName": "Federal"
},
{
"id": "AL_RESIDENT",
"locality": "AL",
"residencyStatus": "RESIDENT",
"hasFlowQuestions": true,
"initialQuestionSetId": "QS1",
"localityFullName": "Alabama"
}
],
"locationData": [
{
"id": "home",
"inputAddress": {
"streetAddress1": "11 S Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
},
"normalizedAddress": {
"streetAddress1": "11 S Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130-2102"
},
"addressResultMessages": [
"The corrected address is valid. [AS01]",
"The record was coded to the street level (Zip+4 for US, full postal code for CA). [GS01]"
],
"addressErrorMessages": [],
"latitude": "32.376634",
"longitude": "-86.299645",
"geocoded": false,
"verified": true
},
{
"id": "work1",
"inputAddress": {
"streetAddress1": "64 N Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
},
"normalizedAddress": {
"streetAddress1": "64 N Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130-3020"
},
"addressResultMessages": [
"The corrected address is valid. [AS01]",
"The record was coded to the street level (Zip+4 for US, full postal code for CA). [GS01]"
],
"addressErrorMessages": [],
"latitude": "32.378229",
"longitude": "-86.299726",
"geocoded": false,
"verified": true
}
]
}Return applicable guided flows for given home and work addresses
Returns applicable flows for the specified home and work address, used to filter the list of all applicable forms down to a list of required forms.
POST
/
guided-flows
curl --request POST \
--url https://api.symmetry.com/spf/guided-flows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"homeAddress": {
"streetAddress1": "11 S Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
},
"workAddresses": [
{
"streetAddress1": "64 N Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
}
],
"includePreviewForms": false
}
'{
"flows": [
{
"id": "FEDERAL",
"locality": "FEDERAL",
"hasFlowQuestions": true,
"initialQuestionSetId": "QS1",
"localityFullName": "Federal"
},
{
"id": "AL_RESIDENT",
"locality": "AL",
"residencyStatus": "RESIDENT",
"hasFlowQuestions": true,
"initialQuestionSetId": "QS1",
"localityFullName": "Alabama"
}
],
"locationData": [
{
"id": "home",
"inputAddress": {
"streetAddress1": "11 S Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
},
"normalizedAddress": {
"streetAddress1": "11 S Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130-2102"
},
"addressResultMessages": [
"The corrected address is valid. [AS01]",
"The record was coded to the street level (Zip+4 for US, full postal code for CA). [GS01]"
],
"addressErrorMessages": [],
"latitude": "32.376634",
"longitude": "-86.299645",
"geocoded": false,
"verified": true
},
{
"id": "work1",
"inputAddress": {
"streetAddress1": "64 N Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
},
"normalizedAddress": {
"streetAddress1": "64 N Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130-3020"
},
"addressResultMessages": [
"The corrected address is valid. [AS01]",
"The record was coded to the street level (Zip+4 for US, full postal code for CA). [GS01]"
],
"addressErrorMessages": [],
"latitude": "32.378229",
"longitude": "-86.299726",
"geocoded": false,
"verified": true
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The address sub-element of the employer element contains all data pertaining to an employer's physical address.
Show child attributes
Show child attributes
Required array length:
1 - 10 elementsShow child attributes
Show child attributes
States and territories
States and territories
Was this page helpful?

